<?php

namespace common\events;

use yii\base\Event;
use yii\base\Model;

class EntityManagerEvent extends Event
{
    const PRE_CREATE_EVENT = 'entity_manager_event.pre_create';
    const POST_CREATE_EVENT = 'entity_manager_event.post_create';
    const PRE_UPDATE_EVENT = 'entity_manager_event.pre_update';
    const POST_UPDATE_EVENT = 'entity_manager_event.post_update';
    const PRE_DELETE_EVENT = 'entity_manager_event.pre_delete';
    const POST_DELETE_EVENT = 'entity_manager_event.post_delete';

    public Model $model;
}