<?php

namespace common\logic;

use common\components\MailerService;

abstract class AbstractNotifier extends AbstractService implements NotifierInterface
{
    protected MailerService $mailer;

    public function loadDependencies(): void
    {
        $this->mailer = \Yii::$app->mailerService;
    }
}