<?php

namespace common\logic\Config\TaxRate\Wrapper;

use common\logic\AbstractManager;
use common\logic\Config\TaxRate\Repository\TaxRateRepository;
use common\logic\Config\TaxRate\Service\TaxRateBuilder;
use common\logic\Config\TaxRate\Service\TaxRateDefinition;

/**
 * @mixin TaxRateDefinition
 * @mixin TaxRateRepository
 * @mixin TaxRateBuilder
 */
class TaxRateManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return TaxRateContainer::class;
    }
}