<?php

namespace common\logic\Distribution\Distribution\Wrapper;

use common\logic\AbstractManager;
use common\logic\Distribution\Distribution\Repository\DistributionRepository;
use common\logic\Distribution\Distribution\Service\DistributionBuilder;
use common\logic\Distribution\Distribution\Service\DistributionDefinition;
use common\logic\Distribution\Distribution\Service\DistributionReportCsvGenerator;
use common\logic\Distribution\Distribution\Service\DistributionReportGridPdfGenerator;
use common\logic\Distribution\Distribution\Service\DistributionReportPdfGenerator;
use common\logic\Distribution\Distribution\Service\DistributionSolver;

/**
 * @mixin DistributionDefinition
 * @mixin DistributionSolver
 * @mixin DistributionRepository
 * @mixin DistributionBuilder
 * @mixin DistributionReportCsvGenerator
 * @mixin DistributionReportGridPdfGenerator
 * @mixin DistributionReportPdfGenerator
 */
class DistributionManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return DistributionContainer::class;
    }
}