<?php

namespace common\logic\Document\Document\Wrapper;

use common\logic\AbstractManager;
use common\logic\Document\Document\Service\DocumentBuilder;
use common\logic\Document\Document\Service\DocumentDefinition;
use common\logic\Document\Document\Service\DocumentSolver;
use common\logic\Document\Document\Service\DocumentUtils;

/**
 * @mixin DocumentDefinition
 * @mixin DocumentSolver
 * @mixin DocumentBuilder
 * @mixin DocumentUtils
 */
class DocumentManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return DocumentContainer::class;
    }
}