<?php

namespace common\logic\Document\Quotation\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Document\Quotation\Model\Quotation;
use common\logic\Document\Quotation\Service\QuotationDefinition;
use yii\db\ActiveQuery;

class QuotationRepositoryQuery extends AbstractRepositoryQuery
{
    protected QuotationDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(QuotationDefinition::class);
    }
}