<?php

namespace common\logic\Payment\Wrapper;

use common\logic\AbstractManager;
use common\logic\Payment\Repository\PaymentRepository;
use common\logic\Payment\Service\PaymentUtils;
use common\logic\Payment\Service\PaymentBuilder;
use common\logic\Payment\Service\PaymentDefinition;
use common\logic\Payment\Service\PaymentSolver;

/**
 * @mixin PaymentDefinition
 * @mixin PaymentSolver
 * @mixin PaymentRepository
 * @mixin PaymentBuilder
 * @mixin PaymentUtils
 */
class PaymentManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return PaymentContainer::class;
    }
}