<?php

namespace common\logic\PointSale\UserPointSale\Wrapper;

use common\logic\AbstractManager;
use common\logic\PointSale\UserPointSale\Repository\UserPointSaleRepository;
use common\logic\PointSale\UserPointSale\Service\UserPointSaleBuilder;
use common\logic\PointSale\UserPointSale\Service\UserPointSaleDefinition;

/**
 * @mixin UserPointSaleDefinition
 * @mixin UserPointSaleRepository
 * @mixin UserPointSaleBuilder
 */
class UserPointSaleManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return UserPointSaleContainer::class;
    }
}