<?php

namespace common\logic\Product\ProductCategory\Wrapper;

use common\logic\AbstractManager;
use common\logic\Product\ProductCategory\Repository\ProductCategoryRepository;
use common\logic\Product\ProductCategory\Service\ProductCategoryBuilder;
use common\logic\Product\ProductCategory\Service\ProductCategoryDefinition;

/**
 * @mixin ProductCategoryDefinition
 * @mixin ProductCategoryRepository
 * @mixin ProductCategoryBuilder
 */
class ProductCategoryManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProductCategoryContainer::class;
    }
}