<?php

namespace common\logic\Product\ProductPointSale\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Product\ProductPointSale\Model\ProductPointSale;
use common\logic\Product\ProductPointSale\Service\ProductPointSaleDefinition;
use yii\db\ActiveQuery;

class ProductPointSaleRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductPointSaleDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductPointSaleDefinition::class);
    }
}