<?php

namespace common\logic\Product\ProductPrice\Wrapper;

use common\logic\AbstractManager;
use common\logic\Product\ProductPrice\Repository\ProductPriceRepository;
use common\logic\Product\ProductPrice\Service\ProductPriceBuilder;
use common\logic\Product\ProductPrice\Service\ProductPriceDefinition;

/**
 * @mixin ProductPriceDefinition
 * @mixin ProductPriceRepository
 * @mixin ProductPriceBuilder
 */
class ProductPriceManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProductPriceContainer::class;
    }
}