<?php

namespace common\logic\Subscription\ProductSubscription\Wrapper;

use common\logic\AbstractManager;
use common\logic\Subscription\ProductSubscription\Repository\ProductSubscriptionRepository;
use common\logic\Subscription\ProductSubscription\Service\ProductSubscriptionBuilder;
use common\logic\Subscription\ProductSubscription\Service\ProductSubscriptionDefinition;

/**
 * @mixin ProductSubscriptionDefinition
 * @mixin ProductSubscriptionRepository
 * @mixin ProductSubscriptionBuilder
 */
class ProductSubscriptionManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProductSubscriptionContainer::class;
    }
}