<?php

namespace common\logic\Subscription\Subscription\Wrapper;

use common\logic\AbstractManager;
use common\logic\Subscription\Subscription\Repository\SubscriptionRepository;
use common\logic\Subscription\Subscription\Service\SubscriptionBuilder;
use common\logic\Subscription\Subscription\Service\SubscriptionDefinition;
use common\logic\Subscription\Subscription\Service\SubscriptionSolver;

/**
 * @mixin SubscriptionDefinition
 * @mixin SubscriptionSolver
 * @mixin SubscriptionRepository
 * @mixin SubscriptionBuilder
 */
class SubscriptionManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return SubscriptionContainer::class;
    }
}