<?php

namespace common\logic\Ticket\TicketMessage\Wrapper;

use common\logic\AbstractManager;
use common\logic\Ticket\TicketMessage\Repository\TicketMessageRepository;
use common\logic\Ticket\TicketMessage\Service\TicketMessageBuilder;
use common\logic\Ticket\TicketMessage\Service\TicketMessageDefinition;

/**
 * @mixin TicketMessageDefinition
 * @mixin TicketMessageRepository
 * @mixin TicketMessageBuilder
 */
class TicketMessageManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return TicketMessageContainer::class;
    }
}