<?php

namespace common\logic\User\UserUserGroup\Wrapper;

use common\logic\AbstractManager;
use common\logic\User\UserUserGroup\Repository\UserUserGroupRepository;
use common\logic\User\UserUserGroup\Service\UserUserGroupBuilder;
use common\logic\User\UserUserGroup\Service\UserUserGroupDefinition;

/**
 * @mixin UserUserGroupDefinition
 * @mixin UserUserGroupRepository
 * @mixin UserUserGroupBuilder
 */
class UserUserGroupManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return UserUserGroupContainer::class;
    }
}