<?php

namespace console\commands;

use common\logic\Distribution\Distribution\Wrapper\DistributionManager;
use common\logic\Producer\Producer\Wrapper\ProducerManager;
use yii\console\Controller;

class DemoAccountController extends Controller
{
    public function actionIndex()
    {
        $producerManager = ProducerManager::getInstance();
        $distributionManager = DistributionManager::getInstance();

        $producerDemo = $producerManager->findOneProducerDemoAccount();
        \Yii::$app->logic->setProducerContext($producerDemo);

        if ($producerDemo) {
            $dateTime = strtotime("+7 day");
            $distribution = $distributionManager->createDistributionIfNotExist(date('Y-m-d', $dateTime));
            $distributionManager->activeDistribution($distribution);
        }
    }
}

?>