<?php

namespace common\logic\Distribution\PointSaleDistribution\Wrapper;

use common\logic\AbstractManager;
use common\logic\Distribution\PointSaleDistribution\Repository\PointSaleDistributionRepository;
use common\logic\Distribution\PointSaleDistribution\Service\PointSaleDistributionBuilder;
use common\logic\Distribution\PointSaleDistribution\Service\PointSaleDistributionDefinition;

/**
 * @mixin PointSaleDistributionDefinition
 * @mixin PointSaleDistributionRepository
 * @mixin PointSaleDistributionBuilder
 */
class PointSaleDistributionManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return PointSaleDistributionContainer::class;
    }
}