<?php

namespace common\logic\Distribution\ProductDistribution\Wrapper;

use common\logic\AbstractManager;
use common\logic\Distribution\ProductDistribution\Repository\ProductDistributionRepository;
use common\logic\Distribution\ProductDistribution\Service\ProductDistributionBuilder;
use common\logic\Distribution\ProductDistribution\Service\ProductDistributionDefinition;

/**
 * @mixin ProductDistributionDefinition
 * @mixin ProductDistributionRepository
 * @mixin ProductDistributionBuilder
 */
class ProductDistributionManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProductDistributionContainer::class;
    }
}