<?php

namespace common\logic\Document\DeliveryNote\Wrapper;

use common\logic\Document\DeliveryNote\Repository\DeliveryNoteRepository;
use common\logic\Document\DeliveryNote\Service\DeliveryNoteBuilder;
use common\logic\Document\DeliveryNote\Service\DeliveryNoteDefinition;
use common\logic\Document\DeliveryNote\Service\DeliveryNoteSolver;
use common\logic\Document\Document\Wrapper\DocumentManager;

/**
 * @mixin DeliveryNoteDefinition
 * @mixin DeliveryNoteSolver
 * @mixin DeliveryNoteRepository
 * @mixin DeliveryNoteBuilder
 */
class DeliveryNoteManager extends DocumentManager
{
    public function getContainerFqcn(): string
    {
        return DeliveryNoteContainer::class;
    }
}