<?php

namespace common\logic\Document\Quotation\Wrapper;

use common\logic\Document\Document\Wrapper\DocumentManager;
use common\logic\Document\Quotation\Repository\QuotationRepository;
use common\logic\Document\Quotation\Service\QuotationBuilder;
use common\logic\Document\Quotation\Service\QuotationDefinition;

/**
 * @mixin QuotationDefinition
 * @mixin QuotationRepository
 * @mixin QuotationBuilder
 */
class QuotationManager extends DocumentManager
{
    public function getContainerFqcn(): string
    {
        return QuotationContainer::class;
    }
}