<?php

namespace common\logic\Order\ProductOrder\Wrapper;

use common\logic\AbstractManager;
use common\logic\Order\ProductOrder\Repository\ProductOrderRepository;
use common\logic\Order\ProductOrder\Service\ProductOrderBuilder;
use common\logic\Order\ProductOrder\Service\ProductOrderDefinition;
use common\logic\Order\ProductOrder\Service\ProductOrderSolver;

/**
 * @mixin ProductOrderDefinition
 * @mixin ProductOrderSolver
 * @mixin ProductOrderRepository
 * @mixin ProductOrderBuilder
 */
class ProductOrderManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProductOrderContainer::class;
    }
}