<?php

namespace common\logic\PointSale\PointSale\Wrapper;

use common\logic\AbstractManager;
use common\logic\PointSale\PointSale\Repository\PointSaleRepository;
use common\logic\PointSale\PointSale\Service\PointSaleBuilder;
use common\logic\PointSale\PointSale\Service\PointSaleDefinition;
use common\logic\PointSale\PointSale\Service\PointSaleSolver;

/**
 * @mixin PointSaleDefinition
 * @mixin PointSaleSolver
 * @mixin PointSaleRepository
 * @mixin PointSaleBuilder
 */
class PointSaleManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return PointSaleContainer::class;
    }
}