<?php

namespace common\logic\Producer\ProducerPriceRange\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Producer\ProducerPriceRange\Model\ProducerPriceRange;
use common\logic\Producer\ProducerPriceRange\Service\ProducerPriceRangeDefinition;
use yii\db\ActiveQuery;

class ProducerPriceRangeRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProducerPriceRangeDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProducerPriceRangeDefinition::class);
    }
}