<?php

namespace common\logic\Producer\ProducerPriceRange\Wrapper;

use common\logic\AbstractManager;
use common\logic\Producer\ProducerPriceRange\Repository\ProducerPriceRangeRepository;
use common\logic\Producer\ProducerPriceRange\Service\ProducerPriceRangeBuilder;
use common\logic\Producer\ProducerPriceRange\Service\ProducerPriceRangeDefinition;

/**
 * @mixin ProducerPriceRangeDefinition
 * @mixin ProducerPriceRangeRepository
 * @mixin ProducerPriceRangeBuilder
 */
class ProducerPriceRangeManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProducerPriceRangeContainer::class;
    }
}