<?php

namespace common\logic\Product\Product\Wrapper;

use common\logic\AbstractManager;
use common\logic\Product\Product\Repository\ProductRepository;
use common\logic\Product\Product\Service\ProductBuilder;
use common\logic\Product\Product\Service\ProductDefinition;
use common\logic\Product\Product\Service\ProductSolver;

/**
 * @mixin ProductDefinition
 * @mixin ProductSolver
 * @mixin ProductRepository
 * @mixin ProductBuilder
 */
class ProductManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProductContainer::class;
    }
}