<?php

namespace common\logic\Product\ProductCategory\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Product\ProductCategory\Model\ProductCategory;
use common\logic\Product\ProductCategory\Service\ProductCategoryDefinition;
use yii\db\ActiveQuery;

class ProductCategoryRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductCategoryDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductCategoryDefinition::class);
    }
}