<?php

namespace common\logic\Product\ProductPointSale\Wrapper;

use common\logic\AbstractManager;
use common\logic\Product\ProductPointSale\Repository\ProductPointSaleRepository;
use common\logic\Product\ProductPointSale\Service\ProductPointSaleBuilder;
use common\logic\Product\ProductPointSale\Service\ProductPointSaleDefinition;

/**
 * @mixin ProductPointSaleDefinition
 * @mixin ProductPointSaleRepository
 * @mixin ProductPointSaleBuilder
 */
class ProductPointSaleManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProductPointSaleContainer::class;
    }
}