<?php

namespace common\logic\Ticket\Ticket\Wrapper;

use common\logic\AbstractManager;
use common\logic\Ticket\Ticket\Repository\TicketRepository;
use common\logic\Ticket\Ticket\Service\TicketBuilder;
use common\logic\Ticket\Ticket\Service\TicketDefinition;
use common\logic\Ticket\Ticket\Service\TicketSolver;

/**
 * @mixin TicketDefinition
 * @mixin TicketRepository
 * @mixin TicketBuilder
 * @mixin TicketSolver
 */
class TicketManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return TicketContainer::class;
    }
}