<?php
namespace common\logic\User\User\Event;

use common\logic\User\User\Wrapper\UserManager;
use justcoded\yii2\eventlistener\observers\ActiveRecordObserver;
use yii\db\AfterSaveEvent;

class TicketObserver extends ActiveRecordObserver
{
    public function inserted(AfterSaveEvent $event)
    {
        $ticket = $event->sender;
        $userManager = UserManager::getInstance();

        $userManager->sendMailNewTicketAdmin($ticket);
    }
}