<?php

namespace common\logic\User\UserGroup\Wrapper;

use common\logic\AbstractManager;
use common\logic\User\UserGroup\Repository\UserGroupRepository;
use common\logic\User\UserGroup\Service\UserGroupBuilder;
use common\logic\User\UserGroup\Service\UserGroupDefinition;

/**
 * @mixin UserGroupDefinition
 * @mixin UserGroupRepository
 * @mixin UserGroupBuilder
 */
class UserGroupManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return UserGroupContainer::class;
    }
}