<?php

namespace common\logic\User\UserProducer\Event;

use common\logic\User\UserProducer\Wrapper\UserProducerManager;
use justcoded\yii2\eventlistener\observers\ActiveRecordObserver;
use yii\db\AfterSaveEvent;

class PaymentObserver extends ActiveRecordObserver
{
    public function inserted(AfterSaveEvent $event)
    {
        $payment = $event->sender;
        $userProducerManager = UserProducerManager::getInstance();

        $userProducerManager->updateCredit($payment);
    }
}