<?php

namespace common\logic\User\UserProducer\Wrapper;

use common\logic\AbstractManager;
use common\logic\User\UserProducer\Repository\UserProducerRepository;
use common\logic\User\UserProducer\Service\UserProducerBuilder;
use common\logic\User\UserProducer\Service\UserProducerDefinition;

/**
 * @mixin UserProducerDefinition
 * @mixin UserProducerRepository
 * @mixin UserProducerBuilder
 */
class UserProducerManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return UserProducerContainer::class;
    }
}